Frama-C Bug Tracking System

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000871Frama-CPlug-in > semantic constant foldingpublic2011-06-24 18:002011-12-19 09:59
Reporterpascal 
Assigned Tomonate 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product VersionFrama-C GIT, precise the release id 
Target VersionFixed in VersionFrama-C Nitrogen-20111001 
Summary0000871: scfed program behaves differently from original
Descriptioncuoq@ns61143:~/csmith$ ~/ppc/bin/toplevel.opt -val -slevel 20 -no-results-function crc32_gentab -semantic-const-folding scf.24175537.i -quiet -machdep $FRAMAC3264 | $CSMITH/selin.pl > t.i
cuoq@ns61143:~/csmith$ gcc t.i show_each-x86_64.o
cuoq@ns61143:~/csmith$ ./a.out
[value] Called Frama_C_show_each({1696784233})
[value] Called Frama_C_show_each({951538210})
[value] Called Frama_C_show_each({806326984})
[value] Called Frama_C_show_each({4068726634})
[value] Called Frama_C_show_each({3530722349})
[value] Called Frama_C_show_each({1417409561})
[value] Called Frama_C_show_each({6501535})
[value] Called Frama_C_show_each({2067582644})
[value] Called Frama_C_show_each({2098385294})
[value] Called Frama_C_show_each({3384788635})
[value] Called Frama_C_show_each({1210809348})
[value] Called Frama_C_show_each({822020032})
[value] Called Frama_C_show_each({3362365653})
[value] Called Frama_C_show_each({1318435289})
[value] Called Frama_C_show_each({2621592452})
[value] Called Frama_C_show_each({163531876})
[value] Called Frama_C_show_each({51099835})
[value] Called Frama_C_show_each({71085666})
[value] Called Frama_C_show_each({2583116795})
[value] Called Frama_C_show_each({1181859948})
[value] Called Frama_C_show_each({1847170004})
[value] Called Frama_C_show_each({4025573759})
[value] Called Frama_C_show_each({1238991286})
[value] Called Frama_C_show_each({1238991286})
cuoq@ns61143:~/csmith$ cat scf.24175537.exec
[value] Called Frama_C_show_each({1696784233})
[value] Called Frama_C_show_each({951538210})
[value] Called Frama_C_show_each({806326984})
[value] Called Frama_C_show_each({4068726634})
[value] Called Frama_C_show_each({3530722349})
[value] Called Frama_C_show_each({1417409561})
[value] Called Frama_C_show_each({6501535})
[value] Called Frama_C_show_each({2067582644})
[value] Called Frama_C_show_each({2632970876})
[value] Called Frama_C_show_each({907809285})
[value] Called Frama_C_show_each({2017548637})
[value] Called Frama_C_show_each({4015877548})
[value] Called Frama_C_show_each({1067081447})
[value] Called Frama_C_show_each({3559803815})
[value] Called Frama_C_show_each({1036134353})
[value] Called Frama_C_show_each({1604970240})
[value] Called Frama_C_show_each({1893354115})
[value] Called Frama_C_show_each({3336935631})
[value] Called Frama_C_show_each({3320360850})
[value] Called Frama_C_show_each({2637282135})
[value] Called Frama_C_show_each({2846628874})
[value] Called Frama_C_show_each({2466916679})
[value] Called Frama_C_show_each({727848564})
[value] Called Frama_C_show_each({727848564})
TagsNo tags attached.
Attached Filestgz file icon scf871.tgz [^] (63,597 bytes) 2011-06-24 18:02

- Relationships
child of 0000890closedpascal Results differ between value analysis and GCC on bitfields 

-  Notes
(0001997)
monate (reporter)
2011-06-24 19:52

Seems related to the variable g_40 of type
union U0 {
   uint16_t f0 ;
   int32_t f1 ;
   int f2 : 5 ;
   uint8_t const f3 ;
};

The f2 bitfield is probably the culprit for the error in constant propagation...
(0002055)
monate (reporter)
2011-07-26 11:40

Fixed by 14324

- Issue History
Date Modified Username Field Change
2011-06-24 18:00 pascal New Issue
2011-06-24 18:00 pascal Status new => assigned
2011-06-24 18:00 pascal Assigned To => monate
2011-06-24 18:02 pascal File Added: scf871.tgz
2011-06-24 19:52 monate Note Added: 0001997
2011-06-24 19:52 monate Status assigned => acknowledged
2011-07-25 18:03 monate Relationship added child of 0000890
2011-07-26 11:40 monate Note Added: 0002055
2011-07-26 11:40 monate Status acknowledged => resolved
2011-07-26 11:40 monate Fixed in Version => Frama-C GIT, precise the release id
2011-07-26 11:40 monate Resolution open => fixed
2011-10-10 14:13 signoles Fixed in Version Frama-C GIT, precise the release id => Frama-C Nitrogen-20111001
2011-10-10 14:14 signoles Status resolved => closed
2011-12-19 09:56 pascal Status closed => feedback
2011-12-19 09:56 pascal Resolution fixed => reopened
2011-12-19 09:59 pascal View Status private => public
2011-12-19 09:59 pascal Status feedback => closed
2011-12-19 09:59 pascal Resolution reopened => fixed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker